- Qt 6.12
- Qt GRPC
- C++ Classes
- QGrpcTrailingMetadataInterceptor
- Qt 6.12.0 Reference Documentation

# QGrpcTrailingMetadataInterceptor Class

Intercepts trailing metadata for an RPC. More...

Header: | `#include <QGrpcInterceptor>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Grpc)` `target_link_libraries(mytarget PRIVATE Qt6::Grpc)`
Since: | Qt 6.11

- List of all members, including inherited members
- QGrpcTrailingMetadataInterceptor is part of Qt GRPC Interceptors.

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QGrpcTrailingMetadataInterceptor()
virtual void | onTrailingMetadata(QGrpcInterceptionContext &context, QMultiHash<QByteArray, QByteArray> &metadata) = 0

## Detailed Description

Implement QGrpcTrailingMetadataInterceptor to observe or modify trailing metadata associated with an RPC.

Trailing metadata is sent by the server when the RPC is completing, after all response messages have been delivered.

For an introduction to the interception mechanism and how interceptor interfaces participate in the lifecycle of an RPC, see the Qt GRPC Interceptors Overview.

Note: This interceptor operates in the outbound direction. For details on how multiple interceptor callbacks flow through the chain, see the Direction and flow section.

See also QtGrpc::InterceptorCapability::TrailingMetadata, QGrpcOperation::serverTrailingMetadata(), and QGrpcInterceptionContext.

## Member Function Documentation

### `[virtual noexcept]` QGrpcTrailingMetadataInterceptor::~QGrpcTrailingMetadataInterceptor()

Destroys the interceptor.

### `[pure virtual]` void QGrpcTrailingMetadataInterceptor::onTrailingMetadata(QGrpcInterceptionContext &context, QMultiHash<QByteArray, QByteArray> &metadata)

Called when trailing metadata becomes available for the RPC.

The context provides information about the intercepted RPC. The metadata can be modified in place before it is forwarded to the RPC.

See also QGrpcOperation::serverTrailingMetadata().